# BlitterFactoryBase Class Reference

The base factory, keeping track of all blitters. More...

`#include <factory.hpp>`

Inheritance diagram for BlitterFactoryBase:

## Public Member Functions
virtual const char * | GetDescription ()=0
| Get a nice description of the blitter-class.
virtual Blitter * | CreateInstance ()=0
| Create an instance of this Blitter-class.
## Static Public Member Functions
static Blitter * | SelectBlitter (const char *name)
| Find the requested blitter and return his class.
static Blitter * | GetCurrentBlitter ()
| Get the current active blitter (always set by calling SelectBlitter).
static char * | GetBlittersInfo (char *p, const char *last)
## Protected Member Functions
void | RegisterBlitter (const char *name)
| Register a blitter internally, based on his name.
## Private Types
typedef std::map< const char *, BlitterFactoryBase *, StringCompare > | Blitters
## Static Private Member Functions
static Blitters & | GetBlitters ()
static Blitter ** | GetActiveBlitter ()
## Private Attributes
const char * | name

## Detailed Description

The base factory, keeping track of all blitters.

Definition at line 21 of file factory.hpp.

## Member Function Documentation

void BlitterFactoryBase::RegisterBlitter | ( | const char * | name | ) | `[inline, protected]`

Register a blitter internally, based on his name.

Parameters:

  | name | the name of the blitter.

Note:
  an assert() will be trigger if 2 blitters with the same name try to register.

Definition at line 45 of file factory.hpp.

static Blitter* BlitterFactoryBase::SelectBlitter | ( | const char * | name | ) | `[inline, static]`

Find the requested blitter and return his class.

Parameters:

  | name | the blitter to select.

Postcondition:
  Sets the blitter so GetCurrentBlitter() returns it too.

Definition at line 74 of file factory.hpp.

References CreateInstance(), name, and StrEmpty().

The documentation for this class was generated from the following file:

- src/blitter/factory.hpp